CLASS Logfile_Base
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"0");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"date");
    5: ATTR(=,"origin");
    6: ATTR(=,"msg");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    sub_origin = PRINTF("%s", $V2);
    date = $V4;
    origin = $V5;
    msg = $V6;
END
CLASS Logfile_Login
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"1");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"date");
    5: ATTR(=,"origin");
    6: ATTR(=,"msg");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    sub_origin = PRINTF("%s", $V2);
    date = $V4;
    origin = $V5;
    msg = $V6;
    sub_source = "login";
END
CLASS Root_Login
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"2");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"date");
    5: ATTR(=,"origin");
    6: ATTR(=,"msg");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    sub_origin = PRINTF("%s", $V2);
    date = $V4;
    origin = $V5;
    msg = $V6;
    sub_source = "login";
END
CLASS Root_Login_Success
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"3");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"date");
    5: ATTR(=,"origin");
    6: ATTR(=,"on_tty");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    sub_origin = PRINTF("%s", $V2);
    date = $V4;
    origin = $V5;
    msg = PRINTF("root login %s", $V6);
    sub_source = "login";
    on_tty = $V6;
END
CLASS Root_Login_Success_From
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"4");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"date");
    5: ATTR(=,"origin");
    6: ATTR(=,"on_tty");
    7: ATTR(=,"from_host");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    sub_origin = PRINTF("%s", $V2);
    date = $V4;
    origin = $V5;
    msg = PRINTF("root login from %s", $V7);
    sub_source = "login";
    on_tty = $V6;
    from_host = $V7;
END
CLASS Root_Login_Failure
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"5");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"date");
    5: ATTR(=,"origin");
    6: ATTR(=,"on_tty");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    sub_origin = PRINTF("%s", $V2);
    date = $V4;
    origin = $V5;
    msg = PRINTF("root login refused on %s", $V6);
    sub_source = "login";
    on_tty = $V6;
END
CLASS Root_Login_Failure_From
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"6");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"date");
    5: ATTR(=,"origin");
    6: ATTR(=,"on_tty");
    7: ATTR(=,"from_host");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    sub_origin = PRINTF("%s", $V2);
    date = $V4;
    origin = $V5;
    msg = PRINTF("root login from host %s refused", $V7);
    sub_source = "login";
    on_tty = $V6;
    from_host = $V7;
END
CLASS Repeated_Login_Failure
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"7");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"date");
    5: ATTR(=,"origin");
    6: ATTR(=,"on_tty");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    sub_origin = PRINTF("%s", $V2);
    date = $V4;
    origin = $V5;
    msg = PRINTF("repeated login failure on %s", $V6);
    sub_source = "login";
    on_tty = $V6;
END
CLASS Repeated_Login_Failure_From
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"8");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"date");
    5: ATTR(=,"origin");
    6: ATTR(=,"on_tty");
    7: ATTR(=,"from_host");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    sub_origin = PRINTF("%s", $V2);
    date = $V4;
    origin = $V5;
    msg = PRINTF("repeated login failure from host %s", $V7);
    sub_source = "login";
    on_tty = $V6;
    from_host = $V7;
END
CLASS Logfile_Passwd
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"9");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"date");
    5: ATTR(=,"origin");
    6: ATTR(=,"msg");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    sub_origin = PRINTF("%s", $V2);
    date = $V4;
    origin = $V5;
    msg = $V6;
    sub_source = "passwd";
END
CLASS Logfile_Su
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"10");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"date");
    5: ATTR(=,"origin");
    6: ATTR(=,"msg");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    sub_origin = PRINTF("%s", $V2);
    date = $V4;
    origin = $V5;
    msg = $V6;
    sub_source = "su";
END
CLASS Su_Success
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"11");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"date");
    5: ATTR(=,"origin");
    6: ATTR(=,"from_user");
    7: ATTR(=,"to_user");
    8: ATTR(=,"on_tty");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    sub_origin = PRINTF("%s", $V2);
    date = $V4;
    origin = $V5;
    msg = PRINTF("su success: %s->%s", $V6, $V7);
    sub_source = "su";
    from_user = $V6;
    to_user = $V7;
    on_tty = $V8;
END
CLASS Su_Failure
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"12");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"date");
    5: ATTR(=,"origin");
    6: ATTR(=,"from_user");
    7: ATTR(=,"to_user");
    8: ATTR(=,"on_tty");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    sub_origin = PRINTF("%s", $V2);
    date = $V4;
    origin = $V5;
    msg = PRINTF("su failure: %s->%s", $V6, $V7);
    sub_source = "su";
    from_user = $V6;
    to_user = $V7;
    on_tty = $V8;
END
CLASS Logfile_Ypchsh
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"13");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"date");
    5: ATTR(=,"origin");
    6: ATTR(=,"msg");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    sub_origin = PRINTF("%s", $V2);
    date = $V4;
    origin = $V5;
    msg = $V6;
    sub_source = "ypchsh";
END
CLASS Logfile_Ypchfn
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"14");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"date");
    5: ATTR(=,"origin");
    6: ATTR(=,"msg");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    sub_origin = PRINTF("%s", $V2);
    date = $V4;
    origin = $V5;
    msg = $V6;
    sub_source = "ypchfn";
END
CLASS Logfile_Yppasswd
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"15");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"date");
    5: ATTR(=,"origin");
    6: ATTR(=,"msg");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    sub_origin = PRINTF("%s", $V2);
    date = $V4;
    origin = $V5;
    msg = $V6;
    sub_source = "yppasswd";
END
CLASS Logfile_Automount
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"16");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"date");
    5: ATTR(=,"origin");
    6: ATTR(=,"msg");
    7: ATTR(=,"pid");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    sub_origin = PRINTF("%s", $V2);
    date = $V4;
    origin = $V5;
    msg = $V6;
    pid = $V7;
    sub_source = "automount";
END
CLASS Logfile_Amd
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"17");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"date");
    5: ATTR(=,"origin");
    6: ATTR(=,"msg");
    7: ATTR(=,"pid");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    sub_origin = PRINTF("%s", $V2);
    date = $V4;
    origin = $V5;
    msg = $V6;
    pid = $V7;
    sub_source = "amd";
END
CLASS Amd_Mounted
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"18");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"date");
    5: ATTR(=,"origin");
    6: ATTR(=,"pid");
    7: ATTR(=,"file_system");
    8: ATTR(=,"type");
    9: ATTR(=,"mount_point");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    sub_origin = PRINTF("%s", $V2);
    date = $V4;
    origin = $V5;
    msg = PRINTF("%s mounted on %s", $V7, $V9);
    pid = $V6;
    sub_source = "amd";
    file_system = $V7;
    type = $V8;
    mount_point = $V9;
END
CLASS Amd_Unmounted
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"19");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"date");
    5: ATTR(=,"origin");
    6: ATTR(=,"pid");
    7: ATTR(=,"file_system");
    8: ATTR(=,"type");
    9: ATTR(=,"mount_point");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    sub_origin = PRINTF("%s", $V2);
    date = $V4;
    origin = $V5;
    msg = PRINTF("%s unmounted from %s", $V7, $V9);
    pid = $V6;
    sub_source = "amd";
    file_system = $V7;
    type = $V8;
    mount_point = $V9;
END
CLASS Logfile_Cron
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"20");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"date");
    5: ATTR(=,"origin");
    6: ATTR(=,"msg");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    sub_origin = PRINTF("%s", $V2);
    date = $V4;
    origin = $V5;
    msg = $V6;
    sub_source = "cron";
END
CLASS Logfile_Getty
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"21");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"date");
    5: ATTR(=,"origin");
    6: ATTR(=,"msg");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    sub_origin = PRINTF("%s", $V2);
    date = $V4;
    origin = $V5;
    msg = $V6;
    sub_source = "getty";
END
CLASS Logfile_Comsat
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"22");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"date");
    5: ATTR(=,"origin");
    6: ATTR(=,"msg");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    sub_origin = PRINTF("%s", $V2);
    date = $V4;
    origin = $V5;
    msg = $V6;
    sub_source = "comsat";
END
CLASS Logfile_Ftpd
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"23");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"date");
    5: ATTR(=,"origin");
    6: ATTR(=,"msg");
    7: ATTR(=,"pid");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    sub_origin = PRINTF("%s", $V2);
    date = $V4;
    origin = $V5;
    msg = $V6;
    pid = $V7;
    sub_source = "ftpd";
END
CLASS Logfile_Ftp
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"24");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"date");
    5: ATTR(=,"origin");
    6: ATTR(=,"msg");
    7: ATTR(=,"pid");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    sub_origin = PRINTF("%s", $V2);
    date = $V4;
    origin = $V5;
    msg = $V6;
    pid = $V7;
    sub_source = "ftp";
END
CLASS Logfile_Snmpd
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"25");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"date");
    5: ATTR(=,"origin");
    6: ATTR(=,"msg");
    7: ATTR(=,"pid");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    sub_origin = PRINTF("%s", $V2);
    date = $V4;
    origin = $V5;
    msg = $V6;
    pid = $V7;
    sub_source = "snmpd";
END
CLASS Logfile_Named
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"26");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"date");
    5: ATTR(=,"origin");
    6: ATTR(=,"msg");
    7: ATTR(=,"pid");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    sub_origin = PRINTF("%s", $V2);
    date = $V4;
    origin = $V5;
    msg = $V6;
    pid = $V7;
    sub_source = "named";
END
CLASS Logfile_Rlogind
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"27");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"date");
    5: ATTR(=,"origin");
    6: ATTR(=,"msg");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    sub_origin = PRINTF("%s", $V2);
    date = $V4;
    origin = $V5;
    msg = $V6;
    sub_source = "rlogind";
END
CLASS Logfile_Rshd
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"28");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"date");
    5: ATTR(=,"origin");
    6: ATTR(=,"msg");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    sub_origin = PRINTF("%s", $V2);
    date = $V4;
    origin = $V5;
    msg = $V6;
    sub_source = "rshd";
END
CLASS Logfile_Rexecd
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"29");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"date");
    5: ATTR(=,"origin");
    6: ATTR(=,"msg");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    sub_origin = PRINTF("%s", $V2);
    date = $V4;
    origin = $V5;
    msg = $V6;
    sub_source = "rexecd";
END
CLASS Logfile_Rwhod
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"30");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"date");
    5: ATTR(=,"origin");
    6: ATTR(=,"msg");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    sub_origin = PRINTF("%s", $V2);
    date = $V4;
    origin = $V5;
    msg = $V6;
    sub_source = "rwhod";
END
CLASS Logfile_Talkd
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"31");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"date");
    5: ATTR(=,"origin");
    6: ATTR(=,"msg");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    sub_origin = PRINTF("%s", $V2);
    date = $V4;
    origin = $V5;
    msg = $V6;
    sub_source = "talkd";
END
CLASS Logfile_Telnetd
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"32");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"date");
    5: ATTR(=,"origin");
    6: ATTR(=,"msg");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    sub_origin = PRINTF("%s", $V2);
    date = $V4;
    origin = $V5;
    msg = $V6;
    sub_source = "telnetd";
END
CLASS Logfile_Tftpd
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"33");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"date");
    5: ATTR(=,"origin");
    6: ATTR(=,"msg");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    sub_origin = PRINTF("%s", $V2);
    date = $V4;
    origin = $V5;
    msg = $V6;
    sub_source = "tftpd";
END
CLASS Logfile_Inetd
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"34");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"date");
    5: ATTR(=,"origin");
    6: ATTR(=,"msg");
    7: ATTR(=,"pid");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    sub_origin = PRINTF("%s", $V2);
    date = $V4;
    origin = $V5;
    msg = $V6;
    pid = $V7;
    sub_source = "inetd";
END
CLASS Logfile_Mountd
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"35");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"date");
    5: ATTR(=,"origin");
    6: ATTR(=,"msg");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    sub_origin = PRINTF("%s", $V2);
    date = $V4;
    origin = $V5;
    msg = $V6;
    sub_source = "rpc.mountd";
END
CLASS Logfile_Rarpd
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"36");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"date");
    5: ATTR(=,"origin");
    6: ATTR(=,"msg");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    sub_origin = PRINTF("%s", $V2);
    date = $V4;
    origin = $V5;
    msg = $V6;
    sub_source = "rarpd";
END
CLASS Logfile_Rquotad
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"37");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"date");
    5: ATTR(=,"origin");
    6: ATTR(=,"msg");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    sub_origin = PRINTF("%s", $V2);
    date = $V4;
    origin = $V5;
    msg = $V6;
    sub_source = "rpc.rquotad";
END
CLASS Logfile_Rstatd
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"38");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"date");
    5: ATTR(=,"origin");
    6: ATTR(=,"msg");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    sub_origin = PRINTF("%s", $V2);
    date = $V4;
    origin = $V5;
    msg = $V6;
    sub_source = "rpc.rstatd";
END
CLASS Logfile_Syslogd
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"39");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"date");
    5: ATTR(=,"origin");
    6: ATTR(=,"msg");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    sub_origin = PRINTF("%s", $V2);
    date = $V4;
    origin = $V5;
    msg = $V6;
    sub_source = "syslogd";
END
CLASS Syslogd_Nospace
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"40");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"date");
    5: ATTR(=,"origin");
    6: ATTR(=,"logfile");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    sub_origin = PRINTF("%s", $V2);
    date = $V4;
    origin = $V5;
    msg = PRINTF("syslogd: %s: No space left on device", $V6);
    sub_source = "syslogd";
    logfile = $V6;
END
CLASS Logfile_Date
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"41");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"date");
    5: ATTR(=,"origin");
    6: ATTR(=,"msg");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    sub_origin = PRINTF("%s", $V2);
    date = $V4;
    origin = $V5;
    msg = $V6;
    sub_source = "date";
END
CLASS Logfile_Date_Set
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"42");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"date");
    5: ATTR(=,"origin");
    6: ATTR(=,"set_by");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    sub_origin = PRINTF("%s", $V2);
    date = $V4;
    origin = $V5;
    msg = PRINTF("date set by %s", $V6);
    sub_source = "date";
    set_by = $V6;
END
CLASS Logfile_Lpd
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"43");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"date");
    5: ATTR(=,"origin");
    6: ATTR(=,"msg");
    7: ATTR(=,"pid");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    sub_origin = PRINTF("%s", $V2);
    date = $V4;
    origin = $V5;
    msg = $V6;
    pid = $V7;
    sub_source = "lpd";
END
CLASS Logfile_Lpd_No_File
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"44");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"date");
    5: ATTR(=,"origin");
    6: ATTR(=,"pid");
    7: ATTR(=,"file");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    sub_origin = PRINTF("%s", $V2);
    date = $V4;
    origin = $V5;
    msg = PRINTF("lpd %s: No such file or directory", $V7);
    pid = $V6;
    sub_source = "lpd";
    file = $V7;
END
CLASS Logfile_Lpd_Get_Hostname
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"45");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"date");
    5: ATTR(=,"origin");
    6: ATTR(=,"pid");
    7: ATTR(=,"machine");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    sub_origin = PRINTF("%s", $V2);
    date = $V4;
    origin = $V5;
    msg = PRINTF("lpd unable to get hostname for remote machine %s", $V7);
    pid = $V6;
    sub_source = "lpd";
    machine = $V7;
END
CLASS Logfile_Lpd_Lost_Connection
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"46");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"date");
    5: ATTR(=,"origin");
    6: ATTR(=,"pid");
    7: ATTR(=,"printer");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    sub_origin = PRINTF("%s", $V2);
    date = $V4;
    origin = $V5;
    msg = PRINTF("lpd lost connection to %s", $V7);
    pid = $V6;
    sub_source = "lpd";
    printer = $V7;
END
CLASS Logfile_Printer
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"47");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"date");
    5: ATTR(=,"origin");
    6: ATTR(=,"msg");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    sub_origin = PRINTF("%s", $V2);
    date = $V4;
    origin = $V5;
    msg = $V6;
END
CLASS Printer_Error_Cleared
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"48");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"date");
    5: ATTR(=,"origin");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    sub_origin = PRINTF("%s", $V2);
    date = $V4;
    origin = $V5;
    msg = PRINTF("printer %s :error cleared", $V2);
END
CLASS Printer_Powerup
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"49");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"date");
    5: ATTR(=,"origin");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    sub_origin = PRINTF("%s", $V2);
    date = $V4;
    origin = $V5;
    msg = PRINTF("%s printer: powered up", $V2);
END
CLASS Printer_Toner_Low
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"50");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"date");
    5: ATTR(=,"origin");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    sub_origin = PRINTF("%s", $V2);
    date = $V4;
    origin = $V5;
    msg = PRINTF("%s printer: toner/ink low", $V2);
END
CLASS Printer_Connection_Abort
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"51");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"date");
    5: ATTR(=,"origin");
    6: ATTR(=,"with");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    sub_origin = PRINTF("%s", $V2);
    date = $V4;
    origin = $V5;
    msg = PRINTF("%s printer: connection with %s aborted", $V2, $V6);
    with = $V6;
END
CLASS Printer_Page_Punt
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"52");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"date");
    5: ATTR(=,"origin");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    sub_origin = PRINTF("%s", $V2);
    date = $V4;
    origin = $V5;
    msg = PRINTF("%s printer: page punt", $V2);
END
CLASS Printer_Offline
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"53");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"date");
    5: ATTR(=,"origin");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    sub_origin = PRINTF("%s", $V2);
    date = $V4;
    origin = $V5;
    msg = PRINTF("printer %s :offline or intervention needed", $V2);
END
CLASS Printer_Output_Full
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"54");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"date");
    5: ATTR(=,"origin");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    sub_origin = PRINTF("%s", $V2);
    date = $V4;
    origin = $V5;
    msg = PRINTF("printer %s :output full", $V2);
END
CLASS Printer_Paper_Out
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"55");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"date");
    5: ATTR(=,"origin");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    sub_origin = PRINTF("%s", $V2);
    date = $V4;
    origin = $V5;
    msg = PRINTF("printer %s :paper out", $V2);
END
CLASS Printer_Paper_Jam
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"56");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"date");
    5: ATTR(=,"origin");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    sub_origin = PRINTF("%s", $V2);
    date = $V4;
    origin = $V5;
    msg = PRINTF("printer %s :paper jam", $V2);
END
CLASS Printer_Door_Open
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"57");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"date");
    5: ATTR(=,"origin");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    sub_origin = PRINTF("%s", $V2);
    date = $V4;
    origin = $V5;
    msg = PRINTF("printer %s :cover/door open", $V2);
END
CLASS Logfile_Ebbackupd
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"58");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"date");
    5: ATTR(=,"origin");
    6: ATTR(=,"msg");
    7: ATTR(=,"pid");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    sub_origin = PRINTF("%s", $V2);
    date = $V4;
    origin = $V5;
    msg = $V6;
    pid = $V7;
    sub_source = "ebbackupd";
END
CLASS Ebbackupd_Waiting
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"59");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"date");
    5: ATTR(=,"origin");
    6: ATTR(=,"pid");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    sub_origin = PRINTF("%s", $V2);
    date = $V4;
    origin = $V5;
    msg = "Waiting for volume mount or other MQM operator activity";
    pid = $V6;
    sub_source = "ebbackupd";
END
CLASS Logfile_Xntpd
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"60");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"date");
    5: ATTR(=,"origin");
    6: ATTR(=,"msg");
    7: ATTR(=,"pid");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    sub_origin = PRINTF("%s", $V2);
    date = $V4;
    origin = $V5;
    msg = $V6;
    pid = $V7;
    sub_source = "xntpd";
END
CLASS Xntpd_Clock_Reset
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"61");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"date");
    5: ATTR(=,"origin");
    6: ATTR(=,"pid");
    7: ATTR(=,"step");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    sub_origin = PRINTF("%s", $V2);
    date = $V4;
    origin = $V5;
    msg = PRINTF("clock reset (step) %s", $V7);
    pid = $V6;
    sub_source = "xntpd";
    step = $V7;
END
CLASS Logfile_Sendmail
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"62");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"date");
    5: ATTR(=,"origin");
    6: ATTR(=,"msg");
    7: ATTR(=,"pid");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    sub_origin = PRINTF("%s", $V2);
    date = $V4;
    origin = $V5;
    msg = $V6;
    pid = $V7;
    sub_source = "sendmail";
END
CLASS Logfile_Kernel
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"63");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"date");
    5: ATTR(=,"origin");
    6: ATTR(=,"msg");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    sub_origin = PRINTF("%s", $V2);
    date = $V4;
    origin = $V5;
    msg = $V6;
    sub_source = "vmunix";
END
CLASS NFS_No_Response
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"64");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"date");
    5: ATTR(=,"origin");
    6: ATTR(=,"server");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    sub_origin = PRINTF("%s", $V2);
    date = $V4;
    origin = $V5;
    msg = PRINTF("NFS server %s not responding", $V6);
    sub_source = "vmunix";
    server = $V6;
END
CLASS NFS_OK
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"65");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"date");
    5: ATTR(=,"origin");
    6: ATTR(=,"server");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    sub_origin = PRINTF("%s", $V2);
    date = $V4;
    origin = $V5;
    msg = PRINTF("NFS server %s ok", $V6);
    sub_source = "vmunix";
    server = $V6;
END
CLASS NFS_File_System_Full
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"66");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"date");
    5: ATTR(=,"origin");
    6: ATTR(=,"file_system_host");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    sub_origin = PRINTF("%s", $V2);
    date = $V4;
    origin = $V5;
    msg = PRINTF("NFS: remote file system on host %s full", $V6);
    sub_source = "vmunix";
    file_system_host = $V6;
END
CLASS LOCAL_File_System_Full
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"67");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"date");
    5: ATTR(=,"origin");
    6: ATTR(=,"file_system");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    sub_origin = PRINTF("%s", $V2);
    date = $V4;
    origin = $V5;
    msg = PRINTF("%s file system", $V6);
    sub_source = "vmunix";
    file_system = $V6;
END
CLASS Silo_Overflow
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"68");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"date");
    5: ATTR(=,"origin");
    6: ATTR(=,"silo");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    sub_origin = PRINTF("%s", $V2);
    date = $V4;
    origin = $V5;
    msg = PRINTF("%s silo overflow", $V6);
    sub_source = "vmunix";
    silo = $V6;
END
CLASS Sendsig_Err
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"69");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"date");
    5: ATTR(=,"origin");
    6: ATTR(=,"pid");
    7: ATTR(=,"signal");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    sub_origin = PRINTF("%s", $V2);
    date = $V4;
    origin = $V5;
    msg = PRINTF("bad signal stack pid = %s", $V6);
    sub_source = "vmunix";
    pid = $V6;
    signal = $V7;
END
CLASS Logfile_Oserv
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"70");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"date");
    5: ATTR(=,"origin");
    6: ATTR(=,"msg");
    7: ATTR(=,"pid");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    sub_origin = PRINTF("%s", $V2);
    date = $V4;
    origin = $V5;
    msg = $V6;
    pid = $V7;
    sub_source = "oserv";
END
CLASS Oserv_Fork_Failed
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"71");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"date");
    5: ATTR(=,"origin");
    6: ATTR(=,"pid");
    7: ATTR(=,"errno");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    sub_origin = PRINTF("%s", $V2);
    date = $V4;
    origin = $V5;
    msg = "oserv fork failed";
    pid = $V6;
    sub_source = "oserv";
    errno = $V7;
END
CLASS Oserv_Exec_Failed
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"72");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"date");
    5: ATTR(=,"origin");
    6: ATTR(=,"pid");
    7: ATTR(=,"exec_path");
    8: ATTR(=,"errno");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    sub_origin = PRINTF("%s", $V2);
    date = $V4;
    origin = $V5;
    msg = "oserv exec failed";
    pid = $V6;
    sub_source = "oserv";
    exec_path = $V7;
    errno = $V8;
END
CLASS Oserv_IPC_Dispatch_Failed
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"73");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"date");
    5: ATTR(=,"origin");
    6: ATTR(=,"pid");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    sub_origin = PRINTF("%s", $V2);
    date = $V4;
    origin = $V5;
    pid = $V6;
    sub_source = "oserv";
    msg = "oserv ipc_dispatch failed";
END
CLASS Oserv_Event_Method_Failed
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"74");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"date");
    5: ATTR(=,"origin");
    6: ATTR(=,"pid");
    7: ATTR(=,"desc");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    sub_origin = PRINTF("%s", $V2);
    date = $V4;
    origin = $V5;
    msg = "oserv event method failed";
    pid = $V6;
    sub_source = "oserv";
    desc = $V7;
END
CLASS Oserv_Panic
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"75");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"date");
    5: ATTR(=,"origin");
    6: ATTR(=,"pid");
    7: ATTR(=,"cause");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    sub_origin = PRINTF("%s", $V2);
    date = $V4;
    origin = $V5;
    msg = "oserv panic";
    pid = $V6;
    sub_source = "oserv";
    cause = $V7;
END
CLASS Oserv_Graceful_Exit
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"76");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"date");
    5: ATTR(=,"origin");
    6: ATTR(=,"pid");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    sub_origin = PRINTF("%s", $V2);
    date = $V4;
    origin = $V5;
    pid = $V6;
    sub_source = "oserv";
    msg = "oserv exited gracefully";
END
CLASS Logfile_Sockd
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"77");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"date");
    5: ATTR(=,"origin");
    6: ATTR(=,"msg");
    7: ATTR(=,"pid");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    sub_origin = PRINTF("%s", $V2);
    date = $V4;
    origin = $V5;
    msg = $V6;
    pid = $V7;
    sub_source = "sockd";
END
CLASS Sockd_Connected
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"78");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"date");
    5: ATTR(=,"origin");
    6: ATTR(=,"pid");
    7: ATTR(=,"from");
    8: ATTR(=,"to");
    9: ATTR(=,"protocol");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    sub_origin = PRINTF("%s", $V2);
    date = $V4;
    origin = $V5;
    msg = PRINTF("sockd: connection from %s to %s established", $V7, $V8);
    pid = $V6;
    sub_source = "sockd";
    from = $V7;
    to = $V8;
    protocol = $V9;
END
CLASS Sockd_Terminated
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"79");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"date");
    5: ATTR(=,"origin");
    6: ATTR(=,"pid");
    7: ATTR(=,"from");
    8: ATTR(=,"to");
    9: ATTR(=,"protocol");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    sub_origin = PRINTF("%s", $V2);
    date = $V4;
    origin = $V5;
    msg = PRINTF("sockd: connection from %s to %s terminated", $V7, $V8);
    pid = $V6;
    sub_source = "sockd";
    from = $V7;
    to = $V8;
    protocol = $V9;
END
CLASS Sockd_Transfer
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"80");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"date");
    5: ATTR(=,"origin");
    6: ATTR(=,"pid");
    7: ATTR(=,"from_bytes");
    8: ATTR(=,"from");
    9: ATTR(=,"to_bytes");
    10: ATTR(=,"to");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    sub_origin = PRINTF("%s", $V2);
    date = $V4;
    origin = $V5;
    msg = PRINTF("sockd: transfer between %s and %s", $V8, $V10);
    pid = $V6;
    sub_source = "sockd";
    from_bytes = $V7;
    from = $V8;
    to_bytes = $V9;
    to = $V10;
END
CLASS Logfile_Reboot
  SELECT
    1: ATTR(=,"_event_id"), VALUE(=,"81");
    2: ATTR(=,"hostname");
    3: ATTR(=,"fqhostname");
    4: ATTR(=,"date");
    5: ATTR(=,"origin");
    6: ATTR(=,"by");
  MAP
    hostname = $V2;
    fqhostname = $V3;
    sub_origin = PRINTF("%s", $V2);
    date = $V4;
    origin = $V5;
    msg = PRINTF("%s rebooted by %s", $V2, $V6);
    by = $V6;
    sub_source = "reboot";
END
